{
  description = "Media-Box-NixOS-config";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/release-24.11";
    nixos-hardware.url = "github:NixOS/nixos-hardware/master";  
  };

  outputs = { self, nixpkgs, nixos-hardware, ... }:
  let
    system = "x86_64-linux";
    lib = nixpkgs.lib;
  in {

    nixosConfigurations = {
      media-server = lib.nixosSystem {
        inherit system;
        modules = [
          # add your model from this list: https://github.com/NixOS/nixos-hardware/blob/master/flake.nix
          #nixos-hardware.nixosModules.apple-macmini-4-1
          ./configuration.nix
        ];
      };
    };
  };
}
