{ pkgs }:

pkgs.writeShellScriptBin "format-zfs-pool" ''
    echo "copy the ID of disks to be used"
    ls /dev/disk/by-id
    read diskID
    
    zpool create -f -o ashift=12 -m /mnt/media-new media-pool $diskID
    zfs set mountpoint=legacy media-pool
''